curl --request GET \
--url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
--header 'Authorization: Bearer <token>'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"stages": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z",
"writePermissions": "CRM_PERMISSIONS_ENFORCEMENT",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}Retorne um único objeto de pipeline identificado por seu "" exclusivo.
curl --request GET \
--url https://api.hubapi.com/crm/pipelines/2026-03/{objectType}/{pipelineId} \
--header 'Authorization: Bearer <token>'{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"stages": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"displayOrder": 123,
"id": "<string>",
"label": "<string>",
"metadata": {},
"updatedAt": "2023-11-07T05:31:56Z",
"writePermissions": "CRM_PERMISSIONS_ENFORCEMENT",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
successful operation
Se o pipeline está arquivado ou não.
A data em que o pipeline foi criado. Os pipelines padrão terão createdAt = 0.
A ordem para exibir este pipeline. Se dois pipelines tiverem um "displayOrder" correspondente, eles serão classificados em ordem alfabética pelo rótulo de associação.
Um identificador exclusivo gerado pelo HubSpot que pode ser usado para recuperar e atualizar o pipeline.
Um rótulo de associação exclusivo usado para organizar pipelines na UI do HubSpot.
As fases associadas ao pipeline. Podem ser recuperadas e atualizadas através dos pontos de extremidade de fases do pipeline.
Show child attributes
A data em que o pipeline foi atualizado pela última vez.
A data em que o pipeline foi arquivado. "archivedAt" somente estará presente se o pipeline estiver arquivado.